Retrieve inbox placement analytics deliverability insights
curl --request POST \
--url https://api.instantly.ai/api/v2/inbox-placement-analytics/deliverability-insights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"test_id": "01a082d0-83ed-73fa-bd3a-a0252cfd9a03"
}
'import requests
url = "https://api.instantly.ai/api/v2/inbox-placement-analytics/deliverability-insights"
payload = { "test_id": "01a082d0-83ed-73fa-bd3a-a0252cfd9a03" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({test_id: '01a082d0-83ed-73fa-bd3a-a0252cfd9a03'})
};
fetch('https://api.instantly.ai/api/v2/inbox-placement-analytics/deliverability-insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/inbox-placement-analytics/deliverability-insights")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"test_id\": \"01a082d0-83ed-73fa-bd3a-a0252cfd9a03\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/inbox-placement-analytics/deliverability-insights",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'test_id' => '01a082d0-83ed-73fa-bd3a-a0252cfd9a03'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/inbox-placement-analytics/deliverability-insights"
payload := strings.NewReader("{\n \"test_id\": \"01a082d0-83ed-73fa-bd3a-a0252cfd9a03\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"test_id": "01a082d0-83ed-73fa-bd3a-a026a0d7cf81",
"from": "2024-01-01",
"to": "2024-01-01",
"previous_from": "2023-01-01",
"previous_to": "2023-01-01",
"sender_esp": 1,
"recipient_esp": 1,
"spam_percentage": 10,
"inbox_percentage": 20,
"category_percentage": 70,
"prev_spam_percentage": 10,
"prev_inbox_percentage": 56.67,
"prev_category_percentage": 33.33
}
]{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Inbox Placement Analytics
Retrieve inbox placement analytics deliverability insights
Provides deliverability insights for a specific inbox placement test
Requires one of the following scopes: inbox_placement_analytics:read, inbox_placement_analytics:all, all:read, all:all
POST
/
api
/
v2
/
inbox-placement-analytics
/
deliverability-insights
Retrieve inbox placement analytics deliverability insights
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"01a082d0-83ed-73fa-bd3a-a0252cfd9a03"
Example:
"2026-09-08T20:58:18.477Z"
Example:
"2026-09-08T20:58:18.477Z"
Example:
"2026-09-08T20:58:18.477Z"
Example:
"2026-09-08T20:58:18.477Z"
Example:
true
Available options:
1, 2, 3, 4 Example:
[1]
Available options:
1, 2 Example:
[1]
Available options:
1, 2, 8, 12, 13 Example:
[1, 2]
Response
Default Response
Example:
"01a082d0-83ed-73fa-bd3a-a026a0d7cf81"
Example:
"2024-01-01"
Example:
"2024-01-01"
Example:
"2023-01-01"
Example:
"2023-01-01"
Available options:
1, 2, 8, 12, 13 Example:
1
Available options:
1, 2, 8, 12, 13 Example:
1
Example:
10
Example:
20
Example:
70
Example:
10
Example:
56.67
Example:
33.33